routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Web Routes
// Route::get('/', function () {
// 	return view('welcome');
// });
Route::get('/', 'Web\RootController@index')->name('root');

Route::get('/about', function () {
	return view('web.about');
})->name('about');

Route::get('/contact', function () {
	return view('web.contact');
})->name('contact');

Route::get('/article/{slug}', 'Web\RootController@showArticle')->name('web.article');
Route::get('/article', 'Web\RootController@articleList')->name('web.article.list');


// Panel Routes
Route::middleware(['auth'])->prefix('panel')->group(function () {
	Route::get('/', 'Panel\HomeController@index')->name('home');
	Route::resources([
		'article' => 'Panel\ArticleController',
	]);
	Route::post('textarea-upload-image', 'Panel\FroalaController@textAreaUploadImage')->name('textAreaUploadImage');
	Route::post('textarea-delete-image', 'Panel\FroalaController@textAreaDeleteImage')->name('textAreaDeleteImage');
});

Auth::routes();

app/Article.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Article extends Model
{
	protected $table = 'qa_articles';
	protected $primaryKey = 'cz';
	protected $fillable = ['title_cz','slug_cz','meta_description_cz','meta_kewords_cz','content_cz','status_cz','add_cz','mdf_cz'];
}

app/Http/Controllers/Panel/ArticleController.php
<?php

namespace App\Http\Controllers\Panel;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Article;
use Auth;

class ArticleController extends Controller
{
	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		//Define Variables
		$response = array();

		$article = Article::orderBy('cz','desc')->get();

		foreach ($article as $key => $value) {
			$response[] = array(
				'cz' => $value->cz,
				'title_cz' => $value->title_cz,
				'updated_at' => $value->updated_at->format('d-M-Y')
			);
		}

		$response = json_encode($response);

		// return $response;
		// return view('panel.article.index', ['response' => $response]);
		return view('panel.article.index')->with('response', $response);
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function create()
	{
		return view('panel.article.create');
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function store(Request $request)
	{

		// return $request->all();
		$request->validate([
			'aricle_name' => 'required',
			'article_content' => 'required',
		]);

		$name = $request->aricle_name;
		$slug = str_slug( $request->aricle_name, '-');
		$content = $request->article_content;

		$collection = [
			'title_cz' => $name,
			'slug_cz' => $slug,
			'content_cz' => $content,
			'status_cz' => 'Active',
			'add_cz' => Auth::user()->id,
			'mdf_cz' => Auth::user()->id,
		];

		$article = Article::updateOrCreate($collection);

		return redirect()->route('article.show', $article->cz)->with('success', 'Successfully!');
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function show($id)
	{
		$article = Article::find($id);
		return view('panel.article.show')->with('article', $article);
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function edit($id)
	{
		$article = Article::find($id);
		return view('panel.article.edit')->with('article', $article);
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function update(Request $request, $id)
	{
		$request->validate([
			'aricle_name' => 'required',
			'article_content' => 'required',
		]);

		$name = $request->aricle_name;
		$slug = str_slug( $request->aricle_name, '-');
		$content = $request->article_content;

		$collection = [
			'title_cz' => $name,
			'slug_cz' => $slug,
			'content_cz' => $content,
			'status_cz' => 'Active',
			'mdf_cz' => Auth::user()->id,
		];

		$article = Article::find($id)->update($collection);

		return redirect()->route('article.show', $id)->with('success', 'Successfully!');
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function destroy($id)
	{
		Article::destroy($id);
		return redirect()->route('article.index');
	}
}

app/Http/Controllers/Panel/FroalaController.php
<?php

namespace App\Http\Controllers\Panel;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Http\Controllers\Controller;

class FroalaController extends Controller
{
	public function textAreaUploadImage(Request $request) {

		try {
			// File Route.
			$fileRoute = "/storage/directory/texteditor/images/";

			$fieldname = "file";

			// Get filename.
			$filename = explode(".", $_FILES[$fieldname]["name"]);

			// Validate uploaded files.
			// Do not use $_FILES["file"]["type"] as it can be easily forged.
			$finfo = finfo_open(FILEINFO_MIME_TYPE);

			// Get temp file name.
			$tmpName = $_FILES[$fieldname]["tmp_name"];

			// Get mime type.
			$mimeType = finfo_file($finfo, $tmpName);
			
			// Get extension. You must include fileinfo PHP extension.
			$extension = end($filename);
			
			// Allowed extensions.
			$allowedExts = array("gif", "jpeg", "jpg", "png", "svg", "blob");
			
			// Allowed mime types.
			$allowedMimeTypes = array("image/gif", "image/jpeg", "image/pjpeg", "image/x-png", "image/png", "image/svg+xml");
			
			// Validate image.
			if (!in_array(strtolower($mimeType), $allowedMimeTypes) || !in_array(strtolower($extension), $allowedExts)) {
				throw new \Exception("File does not meet the validation.");
			}
			
			// Generate new random name.
			$name = sha1(microtime()) . "." . $extension;

			$fullNamePath = public_path($fileRoute.$name) ;

			// return public_path('/images');
			
			// Check server protocol and load resources accordingly.
			if (isset($_SERVER["HTTPS"]) && $_SERVER["HTTPS"] != "off") {
				$protocol = "https://";
			} else {
				$protocol = "http://";
			}
			
			// Save file in the uploads folder.
			move_uploaded_file($tmpName, $fullNamePath);
			
			// Generate response.

			$response = new \StdClass;
			$response->link = $protocol.$_SERVER["HTTP_HOST"].dirname($_SERVER["PHP_SELF"]).$fileRoute . $name;

			// Send response.
			echo stripslashes(json_encode($response));
			
		} catch (Exception $e) {
				// Send error response.
				echo $e->getMessage();
				http_response_code(404);
		}
	}

	public function textAreaDeleteImage(Request $request) {
		try {
			$filename = $_POST['src'];
			$delete = basename ($filename);
			$response = Storage::delete('/public/directory/texteditor/images/' . $delete);
			echo stripslashes(json_encode($response));
			// echo stripslashes(json_encode('Success'));
		}
		catch (Exception $e) {
			http_response_code(404);
		}
	}
}

app/Http/Controllers/Panel/HomeController.php
<?php

namespace App\Http\Controllers\Panel;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class HomeController extends Controller
{
	/**
	 * Create a new controller instance.
	 *
	 * @return void
	 */
	public function __construct()
	{
		$this->middleware('auth');
	}

	/**
	 * Show the application dashboard.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		return view('panel.home');
	}
}

resources/views/panel/article/create.blade.php
@extends('panel.layouts.app')

@section('title', 'Create Article')

@section('plugins')

	<script src="{{ asset('ckeditor/ckeditor.js') }}"></script>

@endsection

@section('content')
<main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
		<h1 class="h2">Create Article
			@if (session('success'))
				<span class="text-success">
					{{ session('success') }}
				</span>
			@endif
		</h1>
		<div class="btn-toolbar mb-2 mb-md-0">
			<div class="btn-group mr-2">
				<button class="btn btn-sm btn-outline-secondary" disabled>Share</button>
				<button class="btn btn-sm btn-outline-secondary" disabled>Export</button>
			</div>
			<button class="btn btn-sm btn-outline-secondary dropdown-toggle" disabled>
				<span data-feather="calendar"></span>
				This week
			</button>
		</div>
	</div>
	<form class="my-5" method="POST" action="{{ route('article.store') }}" enctype="multipart/form-data">
		@csrf
		<div class="form-group mb-5">
			<div class="form-row">
				<div class="col">
					<input class="form-control form-control-lg" type="text" placeholder="Article Name" name="aricle_name" value="{{ old('aricle_name') }}" autocomplete="off" required>
				</div>
			</div>
		</div>
		<div class="form-group mb-5">
			<div class="form-row">
				<div class="col-md-6">
					<div class="form-label-group">
						<input type="text" id="metaDescription" class="form-control" placeholder="Meta-Description">
					</div>
				</div>
				<div class="col-md-6">
					<div class="form-label-group">
						<input type="text" id="metaKeywords" class="form-control" placeholder="Meta-keywords" required="required">
					</div>
				</div>
			</div>
		</div>
		<div class="form-group mb-5">
			<div class="form-row">
				<div class="col">
					<textarea name="article_content" id="editor"></textarea>
				</div>
			</div>
		</div>
		<input type="submit" class="btn btn-primary btn-block" name="submit" value="Create Article">
	</form>
</main>
@endsection

@section('java-script')

	<script type="text/javascript">
		ClassicEditor
			.create( document.querySelector( '#editor' ) )
			.then( editor => {
				console.log( editor );
			} )
			.catch( error => {
				console.error( error );
			} );
	</script>

	{{--@json(old('article_content'))--}}
@endsection

resources/views/panel/article/edit.blade.php
@extends('panel.layouts.app')

@section('title', 'Update Article')

@section('plugins')

	<script src="{{ asset('ckeditor/ckeditor.js') }}"></script>

@endsection

@section('content')
<main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
		<h1 class="h2">Update Article
			@if (session('success'))
				<span class="text-success">
					{{ session('success') }}
				</span>
			@endif
		</h1>
		<div class="btn-toolbar mb-2 mb-md-0">
			<div class="btn-group mr-2">
				<button class="btn btn-sm btn-outline-secondary" disabled>Share</button>
				<button class="btn btn-sm btn-outline-secondary" disabled>Export</button>
			</div>
			<button class="btn btn-sm btn-outline-secondary dropdown-toggle" disabled>
				<span data-feather="calendar"></span>
				This week
			</button>
		</div>
	</div>
	<form class="my-5" method="POST" action="{{ route('article.update', $article->cz) }}" enctype="multipart/form-data">
		@csrf
		@method('PUT')
		<div class="form-group mb-5">
			<div class="form-row">
				<div class="col">
					<input class="form-control form-control-lg{{ $errors->has('aricle_name') ? ' is-invalid' : '' }}" type="text" placeholder="Article Name" name="aricle_name" value="{{ old('aricle_name') }}{{ $article->title_cz }}" autocomplete="off">
					@if ($errors->has('aricle_name'))
						<span class="invalid-feedback" role="alert">
							<strong>{{ $errors->first('aricle_name') }}</strong>
						</span>
					@endif
				</div>
			</div>
		</div>
		{{--<div class="form-group mb-5">
			<div class="form-row">
				<div class="col-md-6">
					<div class="form-label-group">
						<input type="text" id="firstName" class="form-control" placeholder="First name" required="required">
					</div>
				</div>
				<div class="col-md-6">
					<div class="form-label-group">
						<input type="text" id="lastName" class="form-control" placeholder="Last name" required="required">
					</div>
				</div>
			</div>
		</div>--}}
		<div class="form-group mb-5">
			<div class="form-row">
				<div class="col">
					<textarea name="article_content" id="editor">
						{{ $article->content_cz }}
					</textarea>
				</div>
			</div>
		</div>
		<input type="submit" class="btn btn-primary btn-block" name="submit" value="Update Aticle">
	</form>
</main>
@endsection

@section('java-script')

	<script type="text/javascript">
		ClassicEditor
			.create( document.querySelector( '#editor' ) )
			.then( editor => {
				console.log( editor );
			} )
			.catch( error => {
				console.error( error );
			} );
	</script>

@endsection

resources/views/panel/article/index.blade.php
<?php $response = json_decode($response); ?>
@extends('panel.layouts.app')
@section('title', 'Article')

@section('content')
<main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
		<h1 class="h2">Articles</h1>
		<div class="btn-toolbar mb-2 mb-md-0">
			<div class="btn-group mr-2">
				<button class="btn btn-sm btn-outline-secondary" disabled>Share</button>
				<button class="btn btn-sm btn-outline-secondary" disabled>Export</button>
			</div>
			<button class="btn btn-sm btn-outline-primary" onclick=location.href="{{ route('article.create') }}">
				<span data-feather="plus-square"></span>
				Create Article
			</button>
		</div>
	</div>

	{{--<h2>Secondary Title</h2>--}}
	<div class="table-responsive">
		<table class="table table-striped table-sm">
			<thead>
				<tr>
					<th>#</th>
					<th>Name</th>
					<th>Updated At</th>
					<th>Show</th>
					<th>Edit</th>
					<th>Delete</th>
				</tr>
			</thead>
			<tbody>
				@foreach ($response as $key => $article)
				<tr>
					<td>{{ ++$key }}</td>
					<td>{{ str_limit($article->title_cz, 20, '...') }}</td>
					<td>{{ $article->updated_at }}</td>
					<td><a href="{{ route('article.show', $article->cz) }}" class="btn btn-sm btn-outline-info">Show</a></td>
					<td><a href="{{ route('article.edit', $article->cz) }}" class="btn btn-sm btn-outline-primary">Edit</a></td>
					<td>
						<form action="{{ route('article.destroy', $article->cz) }}" method="POST">
							@csrf
							@method('DELETE')
							<button class="btn btn-sm btn-outline-danger" type="submit">Delete</button>
						</form>
					</td>
				</tr>
				@endforeach
			</tbody>
		</table>
	</div>
</main>
@endsection

@section('java-script')
@endsection

resources/views/panel/article/show.blade.php
<!DOCTYPE html>
<html>
<head>
	<title>Article</title>


	<link href='https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>
	<!-- Bootstrap core CSS -->
	<link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">
	<link rel="stylesheet" type="text/css" href="https://blackrockdigital.github.io/startbootstrap-clean-blog/css/clean-blog.min.css">
</head>
<body>
	<article>
		<div class="container">
		<div class="row">
			<div><a href="{{ route('article.edit', $article->cz) }}" class="btn btn-success">Update Article</a></div>
			<div class="col-lg-8 col-md-10 mx-auto">
			<h1 class="mt-5">{{ $article->title_cz }}</h1>
			{!! $article->content_cz !!}
			</div>
			<div><a href="{{ route('article.create') }}" class="btn btn-primary">Create Article</a></div>
		</div>
		</div>
	</article>
</body>
</html>